from parallels.core.utils.entity import Entity


class DomainAlias(Entity):
    def __init__(self, domain_alias_id, domain_id):
        self._domain_alias_id = domain_alias_id
        self._domain_id = domain_id

    @property
    def domain_alias_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_alias_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id
